package org.spring4d;

import static org.assertj.core.api.Assertions.*;

import java.util.List;
import org.junit.jupiter.api.Test;
import org.sonar.api.Plugin;
import org.sonar.api.SonarEdition;
import org.sonar.api.SonarQubeSide;
import org.sonar.api.SonarRuntime;
import org.sonar.api.internal.SonarRuntimeImpl;
import org.sonar.api.utils.Version;

class SpringDelphiPluginTest {
  @Test
  void testDefine() {
    SpringDelphiPlugin plugin = new SpringDelphiPlugin();
    SonarRuntime runtime =
        SonarRuntimeImpl.forSonarQube(
            Version.create(1, 0), SonarQubeSide.SCANNER, SonarEdition.COMMUNITY);

    Plugin.Context context = new Plugin.Context(runtime);
    plugin.define(context);

    assertThat((List<?>) context.getExtensions()).hasSize(2);
  }
}
