package org.spring4d;

import java.util.List;
import org.sonar.plugins.communitydelphi.api.check.DelphiCheck;
import org.spring4d.checks.VariableNameCheck;

public final class RulesList {
  public static final String REPOSITORY_KEY = "spring-delphi";

  private static final List<Class<? extends DelphiCheck>> ALL_CHECKS =
      List.of(
          // Listed alphabetically
          VariableNameCheck.class);

  private RulesList() {
    // Utility class
  }

  public static List<Class<?>> getChecks() {
    return List.copyOf(ALL_CHECKS);
  }
}
